Limerence
Share

Chat With Shared Agent

Chat with a shared agent (public, no auth required)

POST
/share/{token}/ai

Chat with a shared agent (public, no auth required)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

token*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/share/string/ai" \  -H "Content-Type: application/json" \  -d '{    "chatId": "string",    "message": {      "id": "string"    }  }'
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "share/not-found",    "detail": "This share link does not exist or has been removed."  },  "message": "Share link not found"}
{  "cause": {    "code": "chat/agent-mismatch",    "detail": "string"  },  "message": "Chat belongs to another agent"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}